@foreach($items as $item)
@php 
    $logitem = $logtypes[$item['ltype']]; 
    $ldata = json_decode($item['ldata'],true);
    $message = $logitem['message'];
    if($logitem['veriables']){
        foreach($logitem['veriables'] as $veriable){
            $message = str_replace('{'.$veriable.'}',$ldata[$veriable],$message);
        }
    }
@endphp
<tr>
    <td class="text-center align-middle">{{ $item['lid'] }}</td>
    <td class="text-center align-middle">{{ $message }}</td>
    <td class="text-center align-middle">{{ $item['lipaddress'] }}</td>
    <td class="text-center align-middle">{{ beSpecialTime($item['ldateline']) }}</td>
</tr>
@endforeach